# HierarchyWizard.HierarchyWizardView (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Interface HierarchyWizard.HierarchyWizardView

- All Known Implementing Classes:
    HierarchyWizardEditor, HierarchyWizardEditorGroup, HierarchyWizardEditorInterval, HierarchyWizardEditorRange, HierarchyWizardPageBuilder, HierarchyWizardPageIntervals, HierarchyWizardPageOrder, HierarchyWizardPageRedaction
  Enclosing class:
    HierarchyWizard<T>

      public static interface HierarchyWizard.HierarchyWizardView

  Updateable part of the wizard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `update()` Update.

- - ### Method Detail

    - #### update

          void update()

      Update.